Bug 1340819 - Parallel Installable Debuginfo
Summary: Parallel Installable Debuginfo
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact:
URL:
Whiteboard: ChangeAcceptedF26, SystemWideChange, ...
Keywords:
Depends On: 1427970 1429389
Blocks: 751195 1369557 1388142
TreeView+ depends on / blocked
 
Reported: 2016-05-30 10:59 UTC by Jan Kurik
Modified: 2017-11-14 08:57 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-14 08:57:54 UTC


Attachments (Terms of Use)

Description Jan Kurik 2016-05-30 10:59:33 UTC
This is a tracking bug for Change: Parallel Installable Debuginfo
For more details, see: https://fedoraproject.org//wiki/Changes/ParallelInstallableDebuginfo

debuginfo packages can be installed in parallel to make it easier to observe what programs are doing or to debug when they have crashed.
That way debugging, tracing or profiling programs can be done independent of whether they are 32bit, 64bit, a slightly newer or older version than currently installed or even from a different architecture.

Comment 1 Mark Wielaard 2016-06-03 12:30:41 UTC
There is now also a task list in the cloud tracking subtasks (and some extra rpm debuginfo improvements): http://taiga.fedorainfracloud.org/project/mjw-better-rpm-debuginfo-package-creation/

Comment 2 Jan Kurik 2016-07-26 04:46:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Jan Kurik 2016-07-26 05:22:26 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 4 Mark Wielaard 2016-07-28 12:31:21 UTC
BTW. I am currently on travelling on vacation with intermittent internet access and will return Tuesday Aug 2nd.

This cannot be in MODIFIED state yet because not all rpm patches have been integrated and accepted. Most have been ready for a couple of weeks though. There is one patch still being worked on, everything else is ready, including new testcases. There are some non-essential wishlist items that would be nice to get also done, but which aren't necessary for this project.

Progress can be found at:
https://taiga.fedorainfracloud.org/project/mjw-better-rpm-debuginfo-package-creation/kanban

I got positive feedback on the changes, but have had some trouble getting them reviewed and integrated upstream. I added the rpm maintainers to the CC to see if they can say if there are any remaining issues getting this done.

Comment 5 Jan Kurik 2016-08-01 20:24:23 UTC
Based on the FESCo decision deferring this Change to F26: https://fedorahosted.org/fesco/ticket/1606#comment:3

Comment 6 Mohan Boddu 2017-02-01 14:15:09 UTC
Is it ready for a mass rebuild?

Comment 7 Mark Wielaard 2017-02-01 14:29:33 UTC
(In reply to Mohan Boddu from comment #6)
> Is it ready for a mass rebuild?

It needs double checking all upstream patches are backported (at least one is still pending) and then an update to the default rpm macros to enable it. Note that it doesn't really need a mass rebuild, parallel and non-parallel installable debuginfo packages can co-exist (well, they cannot be parallel installed, but that will have to be supported for upgrades anyway).

I'll try to get everything in place next week (this weekend is Fosdem, so I won't be available till ~Tuesday).

Comment 8 Dennis Gilmore 2017-02-02 12:24:22 UTC
If we are going to do this we should do it right and make sure users get the best experience by having it in the mass rebuild

Comment 9 Mark Wielaard 2017-02-02 14:48:27 UTC
BTW. Apparently there is a completely parallel discussion (with a different subset of people) going on about this here: https://pagure.io/fesco/issue/1669

Comment 10 Fedora End Of Life 2017-02-28 09:58:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Jan Kurik 2017-02-28 10:08:08 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 12 Mark Wielaard 2017-03-01 15:46:21 UTC
When the rpm patch in bug #1427970 lands this feature is complete and testable once the macros mentioned in the first comment are enabled.

Comment 13 Mark Wielaard 2017-03-03 13:11:06 UTC
We hit some unexpected blocking on bug #1427970. The rpm maintainer now feels it is too late to enable because f26 has already branched. We'll try to convince him that it really should be enabled because it was all ready before f26 branched and there was just a delay in review. If we can convince him about that we hope to flip things on by default before the alpha deadline. If we cannot this will only be enabled in rawhide.

Comment 15 Mark Wielaard 2017-08-01 09:23:39 UTC
This has been enabled by default since f27 branched.

Comment 16 Jan Kurik 2017-08-15 08:13:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 17 Jan Kurik 2017-09-06 13:38:03 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.